//---------------------------------------------------------------------------
#ifndef AT90S1200H
#define AT90S1200H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//--- Area3:  0 - Fuse Byte (0 - RCEN, 5 - SPIEN), 1 - Lock byte (1 - LB1, 2 - LB2)
//--- functions output: true - success, false - fail ------------------------
//---------------------------------------------------------------------------
bool AT90S1200_ProgrammingEnable();                     // переключение в режим программирования
bool AT90S1200_ChipErase();                             // стирание EEPROM и flash
bool AT90S1200_ReadProgramMemory(unsigned int, bool);   // чтение байта программы по указанному адресу, 0 - читать, 1 - проверять
bool AT90S1200_WriteProgramMemory(unsigned int);        // запись байта программы по указанному адресу
bool AT90S1200_ReadEEPROMMemory(unsigned int, bool);    // чтение байта EEPROM по указанному адресу, 0 - читать, 1 - проверять
bool AT90S1200_WriteEEPROMMemory(unsigned int);         // запись байта в EEPROM по указанному адресу
//---
bool AT90S1200_ReadFuseLockBits();              // чтение Fuse- и Lock-битов (в байты Area3[0], Area3[1])
bool AT90S1200_WriteFuseBits();                 // запись Fuse-битов (из байта Area3[0])
bool AT90S1200_WriteLockBits();                 // запись Lock-битов (из байта Area3[1])
unsigned int AT90S1200_ReadSignatureBytes();    // чтение байтов сигнатуры (вернёт идентификатор чипа)
//---------------------------------------------------------------------------
#endif
 